import QtQuick
import QtQuick.Controls

import Artix.Gui

/**
 * @brief Блок текста
 */
Label {
    id: root
    Style.type: "label"
    Style.class: "default"

    font: Style.text.font
    color: Style.text.color
    wrapMode: Text.Wrap

    background: Rectangle {
        color: root.Style.background.color
        border.color: root.Style.background.border.color
        border.width: root.Style.background.border.width
        radius: root.Style.background.radius
    }
}
