import QtQuick
import QtQuick.VirtualKeyboard

import "../"

KeyboardLayout {
    inputMode: InputEngine.InputMode.Numeric
    keyWeight: 1
    spacing: 8

    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_1; text: "7" }
        Key { key: Qt.Key_2; text: "8" }
        Key { key: Qt.Key_3; text: "9" }
    }
    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_4; text: "4" }
        Key { key: Qt.Key_5; text: "5" }
        Key { key: Qt.Key_6; text: "6" }
    }
    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_1; text: "1" }
        Key { key: Qt.Key_2; text: "2" }
        Key { key: Qt.Key_3; text: "3" }
    }
    KeyboardRow {
        spacing: parent.spacing
        ChangeLayoutKey { targetLayout: "letters" }
        Key { key: Qt.Key_0; text: "0" }
        BackspaceKey {}
    }
}
